module selectrealkind

 implicit none 

 integer, parameter :: &

    spr = kind(1.0) , &
    dpr = selected_real_kind(2*precision(1.0_spr)) , &
    qpr = selected_real_kind(2*precision(1.0_dpr)), & 
    kpr = selected_real_kind(2*precision(1.0_spr))

end module 
